<template>
  <div id="read">
    <admin-frame @search="search" :limit="limit" :total="total" topType="2" @back="back" @add="add" :useNav="false">
      <template v-slot:info>
        <list-2 :list="list"></list-2>
      </template>
    </admin-frame>
  </div>
</template>

<script>
import list2 from './parts/list-2.vue';
import adminFrame from '@frame/src/components/mobile-frame/mobile-main.vue';
import { mapState, createNamespacedHelpers } from 'vuex';
const { mapActions: patentnotice } = createNamespacedHelpers('patentnotice');
export default {
  name: 'read',
  props: {},
  components: {
    adminFrame,
    list2,
  },
  data: function () {
    return {
      limit: 5,
      total: 0,
      list: [],
    };
  },
  async created() {
    this.search();
  },
  methods: {
    ...patentnotice(['query']),
    async search({ skip = 0, limit = this.limit, ...info } = {}) {
      info.send_id = this.user._id;
      let res = await this.query({ skip, limit, ...info });
      if (this.$checkRes(res)) {
        this.$set(this, `list`, res.data);
        this.$set(this, `total`, res.total);
      }
    },
    // 添加
    add() {
      this.$router.push({ path: '/patent/mech/message/notice_create' });
    },
    // 返回
    back() {
      this.$router.push({ path: '/patent/index' });
    },
  },
  computed: {
    ...mapState(['user']),
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
  watch: {
    test: {
      deep: true,
      immediate: true,
      handler(val) {},
    },
  },
};
</script>

<style lang="less" scoped></style>
